Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.examples
Class PicoIX.Controller

    java.lang.Object
      ix.examples.PicoIX.Controller

Direct Known Subclasses:
  PicoISim.SimController, PicoIXTest2.TestController

Enclosing class:
  PicoIX

    static class PicoIX.Controller

extends java.lang.Object

A very simple controller.

Field Summary
`(package private) LListCollector` | `activities`
`(package private) java.util.Hashtable` | `handlerTable`
`(package private) MessageQueue` | `q`
`(package private) PicoIX.IX_System` | `system`

Constructor Summary
`PicoIX.Controller()`
`PicoIX.Controller(PicoIX.IX_System system)`

Method Summary
`protected void` | `addActivity(PicoIX.Activity i)`
`protected void` | `addEventActivity(MessageQueue q)`
`(package private) PicoIX.ActivityHandler` | `findHandler(PicoIX.Activity i)`
`(package private) void` | `handleActivity(PicoIX.Activity i)`
`(package private) void` | `installActivityHandlers(java.lang.Object[] activityHandlers)`
`(package private) void` | `installActivityHandlers(java.lang.Object[] handlers, java.util.Hashtable table)`
`(package private) void` | `mainLoop()`
`(package private) PicoIX.Activity` | `selectActivity()`
`(package private) void` | `setSystem(PicoIX.IX_System system)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### system

    PicoIX.IX_System system

### q

    MessageQueue q

### activities

    LListCollector activities

### handlerTable

    java.util.Hashtable handlerTable

Constructor Detail

### PicoIX.Controller

    PicoIX.Controller()

### PicoIX.Controller

    PicoIX.Controller(PicoIX.IX_System system)

Method Detail

### setSystem

    void setSystem(PicoIX.IX_System system)

### mainLoop

    void mainLoop()

### addActivity

    protected void addActivity(PicoIX.Activity i)

### addEventActivity

    protected void addEventActivity(MessageQueue q)

### selectActivity

    PicoIX.Activity selectActivity()

### installActivityHandlers

    void installActivityHandlers(java.lang.Object[] activityHandlers)

### installActivityHandlers

    void installActivityHandlers(java.lang.Object[] handlers,
                                 java.util.Hashtable table)

### findHandler

    PicoIX.ActivityHandler findHandler(PicoIX.Activity i)

### handleActivity

    void handleActivity(PicoIX.Activity i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD